> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Specific Face Swap

> Specific Face Swap endpoint allows swapping faces in a single image.

## Request

Make a `POST` request to below endpoint and pass the required parameters in the request body.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v1/enterprise/faceswap/single_face_swap' \
```

## Body

```json json theme={null}
{    
    "key":"enterprise_api_key",    
    "init_image":"https://assets.modelslab.ai/generations/f139a3a7-1c64-4255-a53d-5b1c2a14b564",    
    "target_image":"https://assets.modelslab.ai/generations/f139a3a7-1c64-4255-a53d-5b1c2a14b564",    
    "reference_image":"https://assets.modelslab.ai/generations/f139a3a7-1c64-4255-a53d-5b1c2a14b564",    
    "base64":false,
    "webhook": null,    
    "track_id": null
}
```

## Body Attributes

<ParamField query="key" type="string" required>
  Your API Key used for request authorization.
</ParamField>

<ParamField query="init_image" type="string" required>
  The first image containing the face to be swapped. (URL string)
</ParamField>

<ParamField query="target_image" type="string" required>
  The second image containing the face to replace the face in the initial image. (URL string)
</ParamField>

<ParamField query="reference_image" type="string" required>
  The reference image of the particular face you want to swap from the init image. (URL string)
</ParamField>

<ParamField query="watermark" type="bool" default="true">
  Whether the generated result should have a watermark. Available options: `true`, `false`
</ParamField>

<ParamField query="watermark_image" type="string">
  The image to use as a watermark. If not provided, a default watermark will be used. Parameter is only used if `watermark` is set to `true`.
</ParamField>

<ParamField query="base64" type="boolean" default="false">
  If provided `init_image` is in base64 format or if you want generated images as base64 string, set to <code>true</code>. Default: <code>false</code>.
</ParamField>

<ParamField query="webhook" type="string">
  Provide a URL to receive a POST API call once the image generation is complete.
</ParamField>

<ParamField query="track_id" type="string">
  This ID is included in the webhook API call to identify the request.
</ParamField>
